/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */

package com.example.sampleleanbacklauncher.apps;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.graphics.drawable.Drawable;

public class SettingsLaunchItem extends LaunchItem {

    private final Intent mIntent;

    public SettingsLaunchItem(Context context, ResolveInfo info, long priority) {
        super(context, info, priority);
        mIntent = Intent.makeMainActivity(
                new ComponentName(info.activityInfo.packageName, info.activityInfo.name));
        mIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK);
        mIntent.removeCategory(Intent.CATEGORY_LAUNCHER);
    }

    @Override
    public Intent getIntent() {
        return mIntent;
    }

    @Override
    public Drawable getBanner() {
        // Settings items don't use a banner.
        return null;
    }
}
